<i class="close-icon material-icons"
   (click)="onModalClose.emit()">close</i>

<div class="filter-section">
  <label>City</label>
  <select [formControl]="tableSettingsService.tableDataForm.get('cityName')">
    <option [selected]="tableSettingsService.tableDataForm.get('cityName').value == city"
            *ngFor="let city of citiesList">{{city}}</option>
  </select>
</div>

<div class="filter-section">
  <label>Postcode</label>
  <input [formControl]="tableSettingsService.tableDataForm.get('postcode')"
         type="text" placeholder="Type the postcode&hellip;">
</div>

<div class="filter-section">
  <label>Start Year</label>

  <div class="year-selection-wrapper">
    <div class="year-selection" *ngFor="let year of yearsList">
      <label [for]="year">{{year}}</label>
      <input [checked]="tableSettingsService.tableDataForm.value.years.indexOf(year) > -1"
             [id]="year"
             type="checkbox"
             (change)="yearCheckboxChanged(year)">
    </div>
  </div>
</div>

<button class="secondary-button"
        (click)="onModalClose.emit()">Close</button>
